{
"AuthorId":"146476890",
"DebitedFunds":{
"Currency":"EUR",
"Amount":12
},
"Fees":{
"Currency":"EUR",
"Amount":12
}
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$repudiationId = '199385843';
$repudiation = $api->Disputes->GetRepudiation($repudiationId);
$settlementTransfer = new \MangoPay\SettlementTransfer();
$settlementTransfer->AuthorId = $repudiation->AuthorId;
$settlementTransfer->DebitedFunds = new \MangoPay\Money();
$settlementTransfer->DebitedFunds->Amount = 500;
$settlementTransfer->DebitedFunds->Currency = "EUR";
$settlementTransfer->Fees = new \MangoPay\Money();
$settlementTransfer->Fees->Amount = 0;
$settlementTransfer->Fees->Currency = "EUR";
$response = $api->Disputes->CreateSettlementTransfer($settlementTransfer, $repudiationId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDispute = {
Id: '192775714',
RepudiationId: '192775715',
}
let mySettlementTransfer = {
AuthorId: '180749339',
DebitedFunds: {
Currency: 'EUR',
Amount: '1000',
},
Fees: {
Currency: 'EUR',
Amount: 0,
},
}
const createSettlementTransfer = async (settlementTransfer, repudiationId) => {
return await mangopay.Disputes.createSettlementTransfer(
settlementTransfer,
repudiationId
)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
createSettlementTransfer(mySettlementTransfer, myDispute.RepudiationId)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
myRepudiation = {
Id: '194618172'
}
mySettlementTransfer = {
Type: 'TRANSFER',
Nature: 'SETTLEMENT',
AuthorId: '194579896',
DebitedFunds: {
Currency: 'EUR',
Amount: 10000
},
Fees: {
Currency: 'EUR',
Amount: 9000
}
}
createSettlementTransfer(myRepudiation[:Id], mySettlementTransfer)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.entities.SettlementTransfer;
import com.mangopay.entities.Transfer;
public class CreateSettlementTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HQK25M6KVHKDV0S36JY9NRKR";
var repudiationId = "repud_m_01J2KVEDBG9ABZZAWRXFHAJ97H";
SettlementTransfer settlementTransfer = new SettlementTransfer();
settlementTransfer.setAuthorId(userId);
settlementTransfer.setDebitedFunds(new Money(CurrencyIso.EUR, 200));
settlementTransfer.setFees(new Money(CurrencyIso.EUR, 0));
settlementTransfer.setTag("Created using the Mangopay Java SDK");
Transfer createSettlement = mangopay.getDisputeApi().createSettlementTransfer(settlementTransfer, repudiationId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(createSettlement);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, Repudiation, SettlementTransfer
from mangopay.utils import Money
natural_user = NaturalUser.get('user_m_01HQK25M6KVHKDV0S36JY9NRKR')
repudiation = Repudiation.get('repud_m_01HQT8ZRDVYBVT7T8240AWZD3D')
settlement_transfer = SettlementTransfer(
author = natural_user,
credited_user_id = natural_user.id,
debited_funds = Money(amount=4000, currency='GBP'),
fees = Money(amount=0, currency='GBP'),
repudiation = repudiation
)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var repudiationId = "repud_m_01J354MZ35CNMZZMCENS3ERPQ3";
var repudiation = await api.Disputes.GetRepudiationAsync(repudiationId);
SettlementTransferPostDTO settlementTransfer = new SettlementTransferPostDTO(
repudiation.AuthorId,
new Money { Currency = CurrencyIso.EUR, Amount = 1 },
new Money { Currency = CurrencyIso.EUR, Amount = 0 }
);
var createSettelementTransfer = await api.Disputes.CreateSettlementTransferAsync(settlementTransfer, repudiationId);
string prettyPrint = JsonConvert.SerializeObject(createSettelementTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "159220385",
"Tag": null,
"CreationDate": 1672677972,
"ResultCode": "000000",
"ResultMessage": "Success",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "SUCCEEDED",
"ExecutionDate": 1672677972,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
{
"Id": "159220127",
"Tag": null,
"CreationDate": 1672677824,
"ResultCode": "003010",
"ResultMessage": "The total DebitedFunds settled cannot exceed the initial transaction DebitedFunds available for settlement",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"Fees": {
"Currency": "EUR",
"Amount": 1
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "FAILED",
"ExecutionDate": null,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
Dispute settlement
Create a Settlement Transfer
POST
/
v2.01
/
{ClientId}
/
repudiations
/
{RepudiationId}
/
settlementtransfer
{
"AuthorId":"146476890",
"DebitedFunds":{
"Currency":"EUR",
"Amount":12
},
"Fees":{
"Currency":"EUR",
"Amount":12
}
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$repudiationId = '199385843';
$repudiation = $api->Disputes->GetRepudiation($repudiationId);
$settlementTransfer = new \MangoPay\SettlementTransfer();
$settlementTransfer->AuthorId = $repudiation->AuthorId;
$settlementTransfer->DebitedFunds = new \MangoPay\Money();
$settlementTransfer->DebitedFunds->Amount = 500;
$settlementTransfer->DebitedFunds->Currency = "EUR";
$settlementTransfer->Fees = new \MangoPay\Money();
$settlementTransfer->Fees->Amount = 0;
$settlementTransfer->Fees->Currency = "EUR";
$response = $api->Disputes->CreateSettlementTransfer($settlementTransfer, $repudiationId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDispute = {
Id: '192775714',
RepudiationId: '192775715',
}
let mySettlementTransfer = {
AuthorId: '180749339',
DebitedFunds: {
Currency: 'EUR',
Amount: '1000',
},
Fees: {
Currency: 'EUR',
Amount: 0,
},
}
const createSettlementTransfer = async (settlementTransfer, repudiationId) => {
return await mangopay.Disputes.createSettlementTransfer(
settlementTransfer,
repudiationId
)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
createSettlementTransfer(mySettlementTransfer, myDispute.RepudiationId)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
myRepudiation = {
Id: '194618172'
}
mySettlementTransfer = {
Type: 'TRANSFER',
Nature: 'SETTLEMENT',
AuthorId: '194579896',
DebitedFunds: {
Currency: 'EUR',
Amount: 10000
},
Fees: {
Currency: 'EUR',
Amount: 9000
}
}
createSettlementTransfer(myRepudiation[:Id], mySettlementTransfer)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.entities.SettlementTransfer;
import com.mangopay.entities.Transfer;
public class CreateSettlementTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HQK25M6KVHKDV0S36JY9NRKR";
var repudiationId = "repud_m_01J2KVEDBG9ABZZAWRXFHAJ97H";
SettlementTransfer settlementTransfer = new SettlementTransfer();
settlementTransfer.setAuthorId(userId);
settlementTransfer.setDebitedFunds(new Money(CurrencyIso.EUR, 200));
settlementTransfer.setFees(new Money(CurrencyIso.EUR, 0));
settlementTransfer.setTag("Created using the Mangopay Java SDK");
Transfer createSettlement = mangopay.getDisputeApi().createSettlementTransfer(settlementTransfer, repudiationId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(createSettlement);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, Repudiation, SettlementTransfer
from mangopay.utils import Money
natural_user = NaturalUser.get('user_m_01HQK25M6KVHKDV0S36JY9NRKR')
repudiation = Repudiation.get('repud_m_01HQT8ZRDVYBVT7T8240AWZD3D')
settlement_transfer = SettlementTransfer(
author = natural_user,
credited_user_id = natural_user.id,
debited_funds = Money(amount=4000, currency='GBP'),
fees = Money(amount=0, currency='GBP'),
repudiation = repudiation
)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var repudiationId = "repud_m_01J354MZ35CNMZZMCENS3ERPQ3";
var repudiation = await api.Disputes.GetRepudiationAsync(repudiationId);
SettlementTransferPostDTO settlementTransfer = new SettlementTransferPostDTO(
repudiation.AuthorId,
new Money { Currency = CurrencyIso.EUR, Amount = 1 },
new Money { Currency = CurrencyIso.EUR, Amount = 0 }
);
var createSettelementTransfer = await api.Disputes.CreateSettlementTransferAsync(settlementTransfer, repudiationId);
string prettyPrint = JsonConvert.SerializeObject(createSettelementTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "159220385",
"Tag": null,
"CreationDate": 1672677972,
"ResultCode": "000000",
"ResultMessage": "Success",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "SUCCEEDED",
"ExecutionDate": 1672677972,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
{
"Id": "159220127",
"Tag": null,
"CreationDate": 1672677824,
"ResultCode": "003010",
"ResultMessage": "The total DebitedFunds settled cannot exceed the initial transaction DebitedFunds available for settlement",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"Fees": {
"Currency": "EUR",
"Amount": 1
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "FAILED",
"ExecutionDate": null,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
Path parameters
string
required
The unique identifier of the repudiation.
Body parameters
string
required
The unique identifier of the user at the source of the transaction.
object
required
Information about the debited funds. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction minus the fees.
Show properties
Show properties
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
required
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
required
Information about the fees. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction.
Show properties
Show properties
string
required
Allowed values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
required
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
object
Information about the debited funds. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction minus the fees.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the wallet.
In the specific case of the Client Wallet object, this value is returned by the Mangopay API in the form of the funds type and the currency (e.g., “FEES_EUR”).
string
The unique identifier of the debited wallet.
string
The unique identifier of the repudiation.
200 - Failed
200 - Failed
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
object
Information about the debited funds. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction minus the fees.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the credited wallet.
string
The unique identifier of the debited wallet.
string
The unique identifier of the repudiation.
400 - Settlement DebitedFunds exceed the initial transaction DebitedFunds
400 - Settlement DebitedFunds exceed the initial transaction DebitedFunds
{
"Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
"Type": "param_error",
"Id": "7da1f9f4-8c9f-4f9f-ba1c-babf394131ca#1673358577",
"Date": 1673358578.0,
"errors": {
"DebitedFunds": "The settlement DebitedFunds cannot exceed the initial transaction DebitedFunds"
}
}
400 - Settlement Fees exceed the initial transaction Fees
400 - Settlement Fees exceed the initial transaction Fees
{
"Message": "One or several required parameters are missing or incorrect. An incorrect resource ID also raises this kind of error.",
"Type": "param_error",
"Id": "084e42e2-7523-4e28-99eb-79300d0dc37b#1672678394",
"Date": 1672678395.0,
"errors": {
"Fees": "The settlement Fees cannot exceed the initial transaction Fees"
}
}
{
"Id": "159220385",
"Tag": null,
"CreationDate": 1672677972,
"ResultCode": "000000",
"ResultMessage": "Success",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "SUCCEEDED",
"ExecutionDate": 1672677972,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
{
"Id": "159220127",
"Tag": null,
"CreationDate": 1672677824,
"ResultCode": "003010",
"ResultMessage": "The total DebitedFunds settled cannot exceed the initial transaction DebitedFunds available for settlement",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 1000
},
"Fees": {
"Currency": "EUR",
"Amount": 1
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "FAILED",
"ExecutionDate": null,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
{
"AuthorId":"146476890",
"DebitedFunds":{
"Currency":"EUR",
"Amount":12
},
"Fees":{
"Currency":"EUR",
"Amount":12
}
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$repudiationId = '199385843';
$repudiation = $api->Disputes->GetRepudiation($repudiationId);
$settlementTransfer = new \MangoPay\SettlementTransfer();
$settlementTransfer->AuthorId = $repudiation->AuthorId;
$settlementTransfer->DebitedFunds = new \MangoPay\Money();
$settlementTransfer->DebitedFunds->Amount = 500;
$settlementTransfer->DebitedFunds->Currency = "EUR";
$settlementTransfer->Fees = new \MangoPay\Money();
$settlementTransfer->Fees->Amount = 0;
$settlementTransfer->Fees->Currency = "EUR";
$response = $api->Disputes->CreateSettlementTransfer($settlementTransfer, $repudiationId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let myDispute = {
Id: '192775714',
RepudiationId: '192775715',
}
let mySettlementTransfer = {
AuthorId: '180749339',
DebitedFunds: {
Currency: 'EUR',
Amount: '1000',
},
Fees: {
Currency: 'EUR',
Amount: 0,
},
}
const createSettlementTransfer = async (settlementTransfer, repudiationId) => {
return await mangopay.Disputes.createSettlementTransfer(
settlementTransfer,
repudiationId
)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
createSettlementTransfer(mySettlementTransfer, myDispute.RepudiationId)
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
myRepudiation = {
Id: '194618172'
}
mySettlementTransfer = {
Type: 'TRANSFER',
Nature: 'SETTLEMENT',
AuthorId: '194579896',
DebitedFunds: {
Currency: 'EUR',
Amount: 10000
},
Fees: {
Currency: 'EUR',
Amount: 9000
}
}
createSettlementTransfer(myRepudiation[:Id], mySettlementTransfer)
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;
import com.mangopay.core.Money;
import com.mangopay.core.enumerations.CurrencyIso;
import com.mangopay.entities.SettlementTransfer;
import com.mangopay.entities.Transfer;
public class CreateSettlementTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var userId = "user_m_01HQK25M6KVHKDV0S36JY9NRKR";
var repudiationId = "repud_m_01J2KVEDBG9ABZZAWRXFHAJ97H";
SettlementTransfer settlementTransfer = new SettlementTransfer();
settlementTransfer.setAuthorId(userId);
settlementTransfer.setDebitedFunds(new Money(CurrencyIso.EUR, 200));
settlementTransfer.setFees(new Money(CurrencyIso.EUR, 0));
settlementTransfer.setTag("Created using the Mangopay Java SDK");
Transfer createSettlement = mangopay.getDisputeApi().createSettlementTransfer(settlementTransfer, repudiationId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(createSettlement);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import NaturalUser, Repudiation, SettlementTransfer
from mangopay.utils import Money
natural_user = NaturalUser.get('user_m_01HQK25M6KVHKDV0S36JY9NRKR')
repudiation = Repudiation.get('repud_m_01HQT8ZRDVYBVT7T8240AWZD3D')
settlement_transfer = SettlementTransfer(
author = natural_user,
credited_user_id = natural_user.id,
debited_funds = Money(amount=4000, currency='GBP'),
fees = Money(amount=0, currency='GBP'),
repudiation = repudiation
)
using MangoPay.SDK;
using MangoPay.SDK.Core.Enumerations;
using MangoPay.SDK.Entities;
using MangoPay.SDK.Entities.POST;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var repudiationId = "repud_m_01J354MZ35CNMZZMCENS3ERPQ3";
var repudiation = await api.Disputes.GetRepudiationAsync(repudiationId);
SettlementTransferPostDTO settlementTransfer = new SettlementTransferPostDTO(
repudiation.AuthorId,
new Money { Currency = CurrencyIso.EUR, Amount = 1 },
new Money { Currency = CurrencyIso.EUR, Amount = 0 }
);
var createSettelementTransfer = await api.Disputes.CreateSettlementTransferAsync(settlementTransfer, repudiationId);
string prettyPrint = JsonConvert.SerializeObject(createSettelementTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?